dh_missing tooling support
Closed, ResolvedPublic

Description

dh has a new tool dh_missing which is a dh variant of our existing list-missing. notable disadvantage of the latter is that it is only used for core pkg-kde packages. all others previously had no useful list missing support. fortunately dh in bionic already runs dh_missing by default, alas, without any output enabled. We need to force output and have our tooling support parsing it so we get greater list-missing coverage!

[09:17] <sitter> so, for the record: dh_missing is basically the dh variant of dhmk's (pkg-kde-tools) list-missing.mk (i.e. with debian/not-installed support; something that was sorely missing from dh_install --list-missing). as mentioned by default dh_missing does nothing which is meant to change with compat 12, unfortunately bionic only has dh11, so we can't use dh12 for a while. all things considered we'll need support for dh_missing parsing (in our lint tech) AND 
[09:17] <sitter> quite possibly some hack to get it run with --list-missing even when compat isn't 12
[09:18] <sitter> could probably just divert the file and introduce a wrapper that exec's with --list-missing forced
sitter created this task.Aug 3 2018, 7:20 AM
sitter triaged this task as Wishlist priority.
jriddell moved this task from Later to Backlog on the KDE Neon : bionic board.Oct 3 2018, 8:39 AM

purring like a kitten it seems. adding the list-missing argument to an invocation which already had one causes duplicated output though. should be fixed now.

dh_missing: usr/share/kservicetypes5/kdevelopplugin.desktop exists in debian/tmp but is not installed to anywhere
dh_missing: usr/share/kdevplatform/shellutils/.zshrc exists in debian/tmp but is not installed to anywhere
dh_missing: usr/share/kservicetypes5/kdevelopplugin.desktop exists in debian/tmp but is not installed to anywhere
dh_missing: usr/share/kdevplatform/shellutils/.zshrc exists in debian/tmp but is not installed to anywhere

. (Test::Unit::AssertionFailedError)
/tooling/ci-tooling/nci/lib/lint/result_test.rb:49:in `result_flunk'
/tooling/ci-tooling/nci/lib/lint/result_test.rb:62:in `assert_errors'
/tooling/ci-tooling/nci/lint_bin/test_log.rb:71:in `test_dhmissing_errors'
sitter closed this task as Resolved.Oct 30 2018, 2:18 PM
sitter claimed this task.

Seems to be working as expected now.